Generated from the live OpenAPI document — 2026-10-19.This group has no curated guide page.All routes require Authorization: Bearer atamaia_… and return ApiEnvelope<T>({ ok, requestId, data, error, errorCode, count, hint }); the schemas below show thedata payload. * marks required properties.

Operations

MethodPathSummary / bodyResponses
POST /api/projects/{projectId}/client-reports 200 ClientReportResult
GET /api/projects/{projectId}/tasks 200 PagedResultOfTaskDto
POST /api/projects/{projectId}/tasks 200 TaskDto
GET /api/projects/{projectId}/tasks/search 200 PagedResultOfTaskDto
DELETE /api/tasks/{id} 200
GET /api/tasks/{id} 200 TaskDetailDto
PATCH /api/tasks/{id} 200 TaskDto
PUT /api/tasks/{id} 200 TaskDto
PUT /api/tasks/{id}/status 200 TaskDto
GET /api/tasks/{parentTaskId}/subtasks 200 PagedResultOfTaskDto
DELETE /api/tasks/{taskId}/dependencies 200
POST /api/tasks/{taskId}/dependencies 200
GET /api/tasks/{taskId}/notes 200 PagedResultOfTaskNoteDto
POST /api/tasks/{taskId}/notes 200 TaskNoteDto
POST /api/tasks/{taskId}/notes/{noteId}/tags 200
DELETE /api/tasks/{taskId}/notes/{noteId}/tags/{tag} 200
DELETE /api/tasks/{taskId}/related 200
POST /api/tasks/{taskId}/related 200
POST /api/tasks/{taskId}/tags 200
DELETE /api/tasks/{taskId}/tags/{tag} 200

Schemas

Request and response shapes referenced by the operations above. Nested types named here are also defined under their own group or inthe group index.

ClientReportResult

PropertyTypeDescription
taskId int64
title string
deduplicated boolean

PagedResultOfTaskDto

PropertyTypeDescription
items* TaskDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

PagedResultOfTaskNoteDto

PropertyTypeDescription
items* TaskNoteDto[]
totalCount int32
page int32
pageSize int32
hasTotal boolean
moreAvailable null,boolean
totalPages int32
hasNextPage boolean
hasPreviousPage boolean

TaskDetailDto

PropertyTypeDescription
subTasks TaskDto[]
notes TaskNoteDto[]
blockedBy TaskDependencyDto[]
blocks TaskDependencyDto[]
related TaskRelatedDto[]
id int64
guid uuid
projectId int64
projectKey string
parentTaskId int64
assignedToId int64
assignedToName null,string
createdByName null,string
createdByIdentityId int64
specDocId int64
specDocPath null,string
title string
description null,string
status TaskStatus
priority TaskPriority
kind null | TaskKind
subsystem null | TaskSubsystem
isLaunchBlocker boolean
sortOrder int32
subTaskCount int32
noteCount int32
isBlocked boolean
createdAtUtc date-time
updatedAtUtc date-time
lastActivityAtUtc date-time
tags string[]

TaskDto

PropertyTypeDescription
id int64
guid uuid
projectId int64
projectKey string
parentTaskId int64
assignedToId int64
assignedToName null,string
createdByName null,string
createdByIdentityId int64
specDocId int64
specDocPath null,string
title string
description null,string
status TaskStatus
priority TaskPriority
kind null | TaskKind
subsystem null | TaskSubsystem
isLaunchBlocker boolean
sortOrder int32
subTaskCount int32
noteCount int32
isBlocked boolean
createdAtUtc date-time
updatedAtUtc date-time
lastActivityAtUtc date-time
tags string[]

TaskNoteDto

PropertyTypeDescription
id int64
guid uuid
content string
createdById int64
createdAtUtc date-time
tags string[]